XCB 1.16

Data Fields
xcb_input_barrier_hit_event_t Struct Reference
XCB Input API

xcb_input_barrier_hit_event_t More...

`#include <xinput.h>`

Collaboration diagram for xcb_input_barrier_hit_event_t:
[legend]

## Data Fields
uint8_t | response_type
uint8_t | extension
uint16_t | sequence
uint32_t | length
uint16_t | event_type
xcb_input_device_id_t | deviceid
xcb_timestamp_t | time
uint32_t | eventid
xcb_window_t | root
xcb_window_t | event
xcb_xfixes_barrier_t | barrier
uint32_t | full_sequence
uint32_t | dtime
uint32_t | flags
xcb_input_device_id_t | sourceid
uint8_t | pad0 [2]
xcb_input_fp1616_t | root_x
xcb_input_fp1616_t | root_y
xcb_input_fp3232_t | dx
xcb_input_fp3232_t | dy

## Detailed Description

xcb_input_barrier_hit_event_t

The documentation for this struct was generated from the following file:

- xinput.h